Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.event.evaluators
Class EvaluateTime

    java.lang.Object
      |
      +--weblogic.event.evaluators.EvaluateTime

public class EvaluateTime
extends java.lang.Object
implements EvaluateDef

Class for evaluating whether a certain interval of time has elapsed.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `DAY` Constant for expressing time.
`static java.lang.String` | `HOUR` Constant for expressing time.
`static java.lang.String` | `INTERVAL` Constant for expressing time.
`static java.lang.String` | `MIN` Constant for expressing time.
`static java.lang.String` | `SEC` Constant for expressing time.
`static java.lang.String` | `UNITS` Constant for expressing time.

Constructor Summary
`EvaluateTime()` Default constructor.

Method Summary
`boolean` | `evaluate(EventMessageDef ev)` Evaluates whether a specified interval of time has elapsed.
`void` | `registerInit(ParamSet params)` Gets the params set by a registration of interest.
`void` | `setServices(T3ServicesDef services)` Saves the services object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNITS

    public static final java.lang.String UNITS

  Constant for expressing time.

### INTERVAL

    public static final java.lang.String INTERVAL

  Constant for expressing time.

### SEC

    public static final java.lang.String SEC

  Constant for expressing time.

### MIN

    public static final java.lang.String MIN

  Constant for expressing time.

### HOUR

    public static final java.lang.String HOUR

  Constant for expressing time.

### DAY

    public static final java.lang.String DAY

  Constant for expressing time.

Constructor Detail

### EvaluateTime

    public EvaluateTime()

  Default constructor.

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Saves the services object.
  Specified by:
    setServices in interface EvaluateDef

### registerInit

    public void registerInit(ParamSet params)
                      throws ParamSetException

  Gets the params set by a registration of interest. Determines the units (seconds, minutes, hours, or days) and the interval of interest.
  Specified by:
    registerInit in interface EvaluateDef

  Parameters:
    `params` - ParamSet
  Throws:
    ParamSetException - if there is an error

### evaluate

    public boolean evaluate(EventMessageDef ev)
                     throws ParamSetException

  Evaluates whether a specified interval of time has elapsed.
  Specified by:
    evaluate in interface EvaluateDef

  Parameters:
    `ev` - EventMessage object
  Returns:
    true if time interval has elapsed
  Throws:
    ParamSetException - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD